Subject: HFS Problems
From: [email-masked] (Barber Scott L)
Date: 22 Mar 1994 00:27:15 -0600
Newsgroups: comp.sys.apple2

Subject: HFS Problems
Newsgroups: comp.sys.apple2
Summary: 
Keywords: 
X-Newsreader: TIN [version 1.1 PL9]
X-Newsreader: TIN [version 1.1 PL9]

	Well, after reading the rash of HFS problems on both GSs and Macintoshes, I thought I'd throw in a few bucks worth of problems I've been having.

	Being the PD Librarian for our local user group, we've been in the process of transferring most of our 3.5" IIGS PD to CD-ROM.  While I thought this would be an easy task, it's been a real pain in the butt.  Here goes.

	I purchased a 340MB Quantum drive, partitioned it on a Macintosh into one big 327.5 mb partition, and loaded it onto the IIGS.  No problem...the IIGS recognized the drive fine, verified it fine...no probs.

	Here's the clincher...when copying folders from prodos partitions, the file system under HFS corrupts itself.  Directories get damaged, and the entire file structure falls apart.  Since I was copying from 32MB prodos partitions (into folders on the HFS of course), this really started to suck.  So I called tech support at Apple--a great bunch of guys by the way, as long as you talk to Paul Dees.

	Here's what I suspect is happening, because it also happens on 800k disks...i simply never put it together before, and now I think I understand the problem.

	Any folder containing finder.data, when copied, begins to fall apart.  Haven't done enought testing to find out the exact situations, but we've started to suspect a conflict between the file finder.data, and the HFS structure's Desktop file. 
	I wonder, and can anyone else comment on this, if because the desktop is built into the HFSs format, and finder.data is a file on it's own, that the HFS.fst actually attempts to translate finder.data into the desktop file?  if so, that does explain the invalid block header error I keep running into whenever the file system begins to crash.  
	There is a solution of course, and it leads into the previous theory.  If I turn off (save finder preferences to disk) in the finder, and use scarabadaie (sp) to wipe out all the finder.data files before copying, the file structure on the hfs disk will remain intact.  Save one damn window though, and I'm just hours away from a HD crash.
	HFS.FST is smart enough to translate .TXT and .BIN files, among a few others from Mac to GS and vice versa.  Might it also be that some idiot at apple programmed in the finder.data files too, thinking that they'd convert as well?

Now, for the other defenses:

	We've tried the same drive on another IIGS
	We've tried an internal Mac drive that has the Apple SCHD original driver installed in the drive rom, as tech support recommended.
	We've tested the drives at our apple dealer, who was very cooperative in trying to trace down the problem.
	We've noticed that the same problem occurs with 800k disks that have been formatted in HFS on a IIcx, IIvx, and Centris 610AV.  The solution we've found is...no kidding...if you format a Macintosh disk on a Mac, and then save data on it through the mac, when you place it on the IIGS, don't open the disk.  
Copy the disk directly to an 800k RAM5 disk, and then open the ramdisk.  THe data will be intact, and will cause no problems or have any errant files or directories.If you dare to try opening the disk, you'll have some bad files.
	Now of course, the 800k problem is a bit more random, and we think it has something to do with the amount of data on the disk (if zero k is available when you open it, things really get messy when you try to copy files from it.).  The hard drive problem has happened 100% of the time, and we finally found a way around it. *sigh*

	If anyone has any questions about this, or just wants to tell me that it works on their system and I'm full of it...fire away!  I'd love to hear a solution to this, or some technical expertise that would explain why the HFS.FST doesn't work with the IIGS's in our club.  (We have 41 IIGS's in our club, and I recommended about 6 months ago that people start playing with HFS partitions on their IIGS's for data...everyone is complaining about the same errors...)

	The answer that Apple Tech support offered, after hours and hours of work on the phone (3 hours to be exact, over two weeks), was to use a mac for a network, and copy the prodos folders over the network, instead of using the IIGS.  While this of course would work, it doesn't solve the problem.  Besides, Appletalk only runs a 19,200...which means it's going to take days to copy partitions, instead of the normal 220.7K per second this new drive should be giving me.*sigh*

	Again...flame me...I want to know some answers...

SERKER
:wq